"use client";
import React, { useEffect } from 'react';
import AOS from 'aos';
import Header from './Header/Header';
import Footer from './Footer/Footer';
import CTA from './CTA/CTA';

const MainLayout = ({ children }: { children: React.ReactNode }) => {
    useEffect(() => {
        AOS.init({
            duration: 1000,
            once: true,
        });
    }, []);

    return (
        <>
            <Header />
            <main>{children}</main>
            <CTA />
            <Footer />
        </>
    );
};

export default MainLayout;
